> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interchange.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List API calls

> List normalized customer API calls with stable workload, run, outcome, latency, and correlation metadata.



## OpenAPI

````yaml /v2/storefront-api-v2.yaml get /activity/calls
openapi: 3.0.0
info:
  title: Scope3 Storefront API
  version: 2.0.0
  description: |-
    REST API for partners to manage storefronts, inventory sources, and billing.

    ## Authentication

    All endpoints require a Bearer token in the Authorization header:
    ```
    Authorization: Bearer your-api-key
    ```

    ## Base URL

    `https://api.interchange.io/api/v2/storefront`

    ## For AI Agents

    AI agents can use the MCP endpoint at `/mcp/v2/storefront` with three tools:
    - `initialize`: Start an MCP session
    - `api_call`: Make REST API calls
    - `ask_about_capability`: Learn about API features
servers:
  - url: https://api.interchange.io/api/v2/storefront
    description: Production server
security: []
tags:
  - name: Account
    description: Account management, service tokens, and preferences
  - name: Storefront
    description: Manage storefront and inventory sources
  - name: Storefront Agents
    description: List and manage registered sales, signals, and outcomes agents
  - name: Storefront Activity
    description: Audit log of configuration and inventory changes on the storefront
  - name: Storefront Billing
    description: Payout bank details and billing configuration for storefronts
  - name: AI Usage
    description: Storefront AI token usage visibility by model
  - name: MCP
    description: Model Context Protocol endpoints
paths:
  /activity/calls:
    servers:
      - url: /api/v2
        description: Shared customer API base URL
    get:
      tags:
        - Activity
      summary: List API calls
      description: >-
        List normalized customer API calls with stable workload, run, outcome,
        latency, and correlation metadata.
      operationId: listActivityCalls
      parameters:
        - in: query
          name: startTime
          schema:
            type: string
            format: date-time
            pattern: >-
              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        - in: query
          name: endTime
          schema:
            type: string
            format: date-time
            pattern: >-
              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        - in: query
          name: workloadUid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
        - in: query
          name: runUid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
        - in: query
          name: advertiserId
          schema:
            type: string
            pattern: ^\d+$
        - in: query
          name: environment
          schema:
            type: string
            enum:
              - production
              - sandbox
              - unknown
              - not_applicable
        - in: query
          name: outcome
          schema:
            type: string
            enum:
              - succeeded
              - accepted
              - denied
              - failed
              - cancelled
              - unknown
        - in: query
          name: operation
          schema:
            type: string
            minLength: 1
            maxLength: 240
        - in: query
          name: surface
          schema:
            type: string
            enum:
              - rest
              - mcp
              - a2a
        - in: query
          name: includeDiagnostics
          schema:
            default: 'false'
            type: string
            enum:
              - 'true'
              - 'false'
        - in: query
          name: includeProtocol
          schema:
            default: 'false'
            type: string
            enum:
              - 'true'
              - 'false'
        - in: query
          name: limit
          schema:
            default: 50
            type: integer
            maximum: 200
            minimum: 1
        - in: query
          name: cursor
          schema:
            type: string
            minLength: 1
            maxLength: 2000
      responses:
        '200':
          description: List API calls
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListActivityCallsResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    ListActivityCallsResponse:
      description: Cursor-paginated customer API calls
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/ActivityCall'
        nextCursor:
          nullable: true
          type: string
      required:
        - items
        - nextCursor
      additionalProperties: false
    ErrorResponse:
      description: Standard error response
      type: object
      properties:
        data:
          type: string
          nullable: true
          enum:
            - null
        error:
          $ref: '#/components/schemas/ApiError'
      required:
        - data
        - error
      additionalProperties: false
    ActivityCall:
      description: One normalized, customer-authorized API call
      type: object
      properties:
        activityUid:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
        idempotencyReplayOfActivityUid:
          nullable: true
          type: string
        requestId:
          type: string
        transportRequestId:
          type: string
        startedAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        completedAt:
          nullable: true
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        durationMs:
          nullable: true
          type: integer
          minimum: 0
          maximum: 9007199254740991
        completionState:
          type: string
          enum:
            - started
            - complete
            - incomplete
        outcome:
          nullable: true
          type: string
          enum:
            - succeeded
            - accepted
            - denied
            - failed
            - cancelled
            - unknown
        decisionDisposition:
          type: string
          enum:
            - not_evaluated
        surface:
          type: string
          enum:
            - rest
            - mcp
            - a2a
        visibility:
          type: string
          enum:
            - customer
            - diagnostic
            - protocol
        operation:
          type: string
        contractVersion:
          nullable: true
          type: string
        docsRevision:
          nullable: true
          type: string
        method:
          type: string
        httpStatus:
          nullable: true
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        protocolStatus:
          nullable: true
          type: string
        environment:
          type: string
          enum:
            - production
            - sandbox
            - unknown
            - not_applicable
        dryRun:
          nullable: true
          type: boolean
        operationClass:
          type: string
          nullable: true
          enum:
            - null
        operationRegistryVersion:
          nullable: true
          type: string
        platformSafetyResult:
          type: string
          enum:
            - not_applicable
        platformSafetyReasonCode:
          nullable: true
          type: string
        administrativeReviewUid:
          nullable: true
          type: string
        governanceSummary:
          type: string
          nullable: true
          enum:
            - null
        advertiserId:
          nullable: true
          type: string
        principalType:
          type: string
          enum:
            - human
            - workload
            - system
            - unknown
        userId:
          nullable: true
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        userName:
          nullable: true
          type: string
        userEmail:
          nullable: true
          type: string
        workloadUid:
          nullable: true
          type: string
        workloadName:
          nullable: true
          type: string
        credentialId:
          nullable: true
          type: string
        credentialName:
          nullable: true
          type: string
        credentialVersion:
          nullable: true
          type: integer
          maximum: 9007199254740991
          minimum: 1
        credentialScope:
          type: string
          nullable: true
          enum:
            - null
        credentialRole:
          type: string
          nullable: true
          enum:
            - null
        runUid:
          nullable: true
          type: string
        sessionId:
          nullable: true
          type: string
        conversationUid:
          nullable: true
          type: string
        taskUids:
          type: array
          items:
            type: string
        traceId:
          nullable: true
          type: string
        error:
          nullable: true
          type: object
          properties:
            code:
              type: string
            class:
              type: string
            faultDomain:
              type: string
            retryDisposition:
              type: string
            retryAfterSeconds:
              nullable: true
              type: integer
              minimum: 0
              maximum: 9007199254740991
            documentationUrl:
              nullable: true
              type: string
            message:
              nullable: true
              type: string
          required:
            - code
            - class
            - faultDomain
            - retryDisposition
            - retryAfterSeconds
            - documentationUrl
            - message
          additionalProperties: false
        resources:
          type: array
          items:
            type: object
            properties:
              resourceType:
                type: string
              resourceId:
                type: string
              label:
                nullable: true
                type: string
              href:
                nullable: true
                type: string
            required:
              - resourceType
              - resourceId
              - label
              - href
            additionalProperties: false
        credits:
          nullable: true
          type: object
          properties:
            reserved:
              type: number
            settled:
              type: number
          required:
            - reserved
            - settled
          additionalProperties: false
        detailAvailability:
          type: string
          enum:
            - available
            - expired
            - not_captured
      required:
        - activityUid
        - idempotencyReplayOfActivityUid
        - requestId
        - transportRequestId
        - startedAt
        - completedAt
        - durationMs
        - completionState
        - outcome
        - decisionDisposition
        - surface
        - visibility
        - operation
        - contractVersion
        - docsRevision
        - method
        - httpStatus
        - protocolStatus
        - environment
        - dryRun
        - operationClass
        - operationRegistryVersion
        - platformSafetyResult
        - platformSafetyReasonCode
        - administrativeReviewUid
        - governanceSummary
        - advertiserId
        - principalType
        - userId
        - userName
        - userEmail
        - workloadUid
        - workloadName
        - credentialId
        - credentialName
        - credentialVersion
        - credentialScope
        - credentialRole
        - runUid
        - sessionId
        - conversationUid
        - taskUids
        - traceId
        - error
        - resources
        - credits
        - detailAvailability
      additionalProperties: false
    ApiError:
      description: Structured error object
      type: object
      properties:
        code:
          description: Machine-readable error code
          type: string
        message:
          description: Human-readable error message
          type: string
        field:
          description: Field path associated with the error
          type: string
        details:
          description: Additional error context
          type: object
          additionalProperties: {}
      required:
        - code
        - message
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or access token

````